Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

bugedit.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: bugedit.php 9166 2002-02-07 08:20:21Z jhe $
5 //
6 // Created on: <28-Nov-2000 19:45:35 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezlog.php" );
30 // include_once( "classes/ezlocale.php" );
31 // include_once( "classes/eztexttool.php" );
32 // include_once( "classes/ezhttptool.php" );
33 // include_once( "ezfilemanager/classes/ezvirtualfile.php" );
34 // include_once( "ezimagecatalogue/classes/ezimage.php" );
35 // include_once( "ezmail/classes/ezmail.php" );
36 // include_once( "ezuser/classes/ezobjectpermission.php" );
37
38 $ini =& eZINI::instance( 'site.ini' );
39
40 $Language = $ini->variable( "eZBugMain", "Language" );
41
42 // include_once( "ezbug/classes/ezbug.php" );
43 // include_once( "ezbug/classes/ezbugcategory.php" );
44 // include_once( "ezbug/classes/ezbugmodule.php" );
45 // include_once( "ezbug/classes/ezbugpriority.php" );
46 // include_once( "ezbug/classes/ezbugstatus.php" );
47 // include_once( "ezbug/classes/ezbuglog.php" );
48
49 $session = new eZSession();
50
51 if ( isset( $Cancel ) )
52 {
53 $bug = new eZBug( $BugID );
54
55 if ( $bug->IsHandled() )
56 {
57 eZHTTPTool::header( "Location: /bug/archive/$ModuleID/" );
58 exit();
59 }
60 else
61 {
62 eZHTTPTool::header( "Location: /bug/unhandled/" );
63 exit();
64 }
65 }
66
67 $t = new eZTemplate( "kernel/ezbug/admin/" . $ini->variable( "eZBugMain", "AdminTemplateDir" ),
68 "kernel/ezbug/admin/intl", $Language, "bugedit.php" );
69 $t->setAllStrings();
70
71 $t->set_file( "bug_edit_tpl", "bugedit.tpl" );
72
73 $t->set_var( "site_style", $GlobalSiteDesign );
74
75 $t->set_block( "bug_edit_tpl", "module_item_tpl", "module_item" );
76 $t->set_block( "bug_edit_tpl", "category_item_tpl", "category_item" );
77 $t->set_block( "bug_edit_tpl", "priority_item_tpl", "priority_item" );
78 $t->set_block( "bug_edit_tpl", "status_item_tpl", "status_item" );
79 $t->set_block( "bug_edit_tpl", "owner_item_tpl", "owner_item" );
80 $t->set_block( "bug_edit_tpl", "program_version_tpl", "program_version" );
81
82 $t->set_block( "bug_edit_tpl", "log_item_tpl", "log_item" );
83 $t->set_block( "bug_edit_tpl", "file_headers_tpl", "file_headers" );
84 $t->set_block( "file_headers_tpl", "file_tpl", "file" );
85 $t->set_block( "bug_edit_tpl", "image_headers_tpl", "image_headers" );
86 $t->set_block( "image_headers_tpl", "image_tpl", "image" );
87
88 $t->set_var( "program_version", "" );
89
90 if ( $Action == "Insert" )
91 {
92 $user =& eZUser::currentUser();
93
94 if ( $user )
95 {
96 $category = new eZBugCategory( $CategoryID );
97 $module = new eZBugModule( $ModuleID );
98
99 $bug = new eZBug();
100 $bug->setName( $Name );
101 $bug->setDescription( $Description );
102 $bug->setUser( $user );
103 $bug->setIsHandled( false );
104 if ( $IsClosed == "on" )
105 $bug->setIsClosed( true );
106 else
107 $bug->setIsClosed( false );
108
109 if ( $IsPrivate == "on" )
110 $bug->setIsPrivate( true );
111 else
112 $bug->setIsPrivate( false );
113
114 $bug->store();
115 eZHTTPTool::header( "Location: /bug/archive/" );
116 exit();
117 }
118 }
119
120 if ( $Action == "Update" )
121 {
122 $user =& eZUser::currentUser();
123
124 if ( $user )
125 {
126 if ( isset( $Update ) )
127 {
128 $category = new eZBugCategory( $CategoryID );
129 $module = new eZBugModule( $ModuleID );
130
131 $priority = new eZBugPriority( $PriorityID );
132 $status = new eZBugStatus( $StatusID );
133
134 if ( $OwnerID != -1 )
135 $owner = new eZUser( $OwnerID );
136 else
137 $owner = 0;
138
139 $bug = new eZBug( $BugID );
140
141
142 $bug->setIsHandled( true );
143
144 if ( $bug->isHandled() )
145 $isHandled = true;
146 else
147 $isHandled = false;
148
149 $bug->setPriority( $priority );
150 $bug->setStatus( $status );
151
152 // check if owner is actually among the valid owners
153 $bug->setOwner( $owner );
154
155 if ( $IsClosed == 'on' )
156 {
157 $bug->setIsClosed( true );
158 }
159 else
160 {
161 $bug->setIsClosed( false );
162 }
163
164 if ( $IsPrivate == 'on' )
165 {
166 $bug->setIsPrivate( true );
167 }
168 else
169 {
170 $bug->setIsPrivate( false );
171 }
172
173 // $bug->setName( $bug->name() );
174 // $bug->setDescription( $bug->description() );
175
176 $bug->removeFromModules();
177 $bug->removeFromCategories();
178 $bug->store();
179
180 $category->addBug( $bug );
181 $module->addBug( $bug );
182
183 if ( $LogMessage != "" )
184 {
185 $log = new eZBugLog();
186 $log->setDescription( $LogMessage );
187 $log->setUser( eZUser::currentUser() );
188 $log->setBug( $bug );
189 $log->store();
190 }
191
192 // check if the owner has changed
193 if ( is_a( $owner, "eZUser" ) && $OwnerID != $CurrentOwnerID )
194 {
195 sendAssignedMail( $bug, $owner->email(), $ini, $Language );
196 }
197
198 if ( $MailReporter == "on" && $LogMessage != "" )
199 {
200 // send email notice to the reporter
201 if ( $bug->user() )
202 {
203 $reporter = $bug->user();
204 $reporter_email = $reporter->email();
205 }
206 else
207 {
208 $reporter_email = $bug->userEmail();
209 }
210
211 $mail = new eZMail();
212 $mail->setFrom( $user->email() );
213
214 $locale = new eZLocale( $Language );
215
216 $mailTemplate = new eZTemplate( "kernel/ezbug/admin/" . $ini->variable( "eZBugMain", "AdminTemplateDir" ),
217 "kernel/ezbug/admin/intl", $Language, "mailreply.php" );
218
219 $headerInfo = getallheaders();
220
221 $mailTemplate->set_file( "mailreply", "mailreply.tpl" );
222 $mailTemplate->setAllStrings();
223
224 // $host = preg_replace( "/^admin\./", "", $headerInfo["Host"] );
225 $host = $ini->variable( "site", "UserSiteURL" );
226
227 $mailTemplate->set_var( "bug_url", "http://" . $host . "/bug/bugview/" . $bug->id() );
228 $mailTemplate->set_var( "log_message", $LogMessage );
229 $mailTemplate->set_var( "bug_id", $bug->id() );
230 $mailTemplate->set_var( "bug_report", $bug->description( false ) );
231 $mailTemplate->set_var( "bug_title", $bug->name( false ) );
232
233 $bodyText = ( $mailTemplate->parse( "dummy", "mailreply" ) );
234
235 $languageIni = new eZINI( "kernel/ezbug/admin/" . "intl/" . $Language . "/mailreply.php.ini", false );
236 $msg = $languageIni->variable( "strings", "bug_handled" );
237
238 $mail->setSubject( "[" . $msg . "]" . $bug->name( false ) );
239 $mail->setTo( $reporter_email );
240 $mail->setBody( $bodyText );
241
242 $mail->send();
243 }
244
245 $Action = "Edit";
246 if ( !isset( $InsertImage) && !isset( $InsertFile ) && !isset( $DeleteSelected ) )
247 {
248 if ( $isHandled )
249 {
250 eZHTTPTool::header( "Location: /bug/archive/$ModuleID/" );
251 exit();
252
253 }
254 else
255 {
256 eZHTTPTool::header( "Location: /bug/unhandled/" );
257 exit();
258 }
259 }
260 }
261 else
262 {
263 if ( !isset( $InsertImage) && !isset( $InsertFile ) && !isset( $DeleteSelected ) )
264 {
265 eZHTTPTool::header( "Location: /bug/archive/" );
266 exit();
267 }
268 }
269 }
270 }
271
272 $t->set_var( "bug_date", "" );
273 $t->set_var( "action_value", "Insert" );
274
275 if ( isset( $InsertFile ) )
276 {
277 $Action = "";
278 eZHTTPTool::header( "Location: /bug/report/fileedit/new/$BugID" );
279 exit();
280 }
281
282 if ( isset( $InsertImage ) )
283 {
284 $Action = "";
285 eZHTTPTool::header( "Location: /bug/report/imageedit/new/$BugID" );
286 exit();
287 }
288
289 if ( isset( $DeleteSelected ) )
290 {
291 $bug = new eZBug( $BugID );
292 if ( count( $ImageArrayID ) > 0 )
293 {
294 foreach ( $ImageArrayID as $imageID )
295 {
296 $image = new eZImage( $imageID );
297 $bug->deleteImage( $image );
298 }
299 }
300
301 if ( count( $FileArrayID ) > 0 )
302 {
303 foreach ( $FileArrayID as $fileID )
304 {
305 $file = new eZVirtualFile( $fileID );
306 $bug->deleteFile( $file );
307 }
308 }
309 $Action = "Edit";
310 }
311
312 if ( $Action == "Edit" )
313 {
314 $locale = new eZLocale( $Language );
315
316 $bug = new eZBug( $BugID );
317
318 $t->set_var( "bug_id", $bug->id() );
319 $t->set_var( "name_value", $bug->name() );
320 $bug_user = $bug->user();
321 if ( $bug_user )
322 {
323 $t->set_var( "reporter_name_value", $bug_user->namedEmail() );
324 }
325 elseif ( $bug->userEmail() != false )
326 {
327 $t->set_var( "reporter_name_value", $bug->userEmail() );
328 }
329 else
330 {
331 $t->set_var( "reporter_name_value", "Unknown" );
332 }
333 $t->set_var( "description_value", eZTextTool::nl2br( $bug->description() ) );
334 $t->set_var( "action_value", "Update" );
335
336 $date =& $bug->created();
337 $t->set_var( "bug_date", $locale->format( $date ) );
338
339 if ( $bug->version() != "" )
340 {
341 $t->set_var( "version_value", $bug->version() );
342 $t->parse( "program_version", "program_version_tpl", false );
343 }
344
345 $logList = eZBugLog::getByBug( $bug );
346 $cat =& $bug->category();
347 if ( $cat )
348 {
349 $categoryID = $cat->id();
350 }
351
352 $module =& $bug->module();
353 if ( $module )
354 $moduleID = $module->id();
355
356 $pri =& $bug->priority();
357 $status =& $bug->status();
358
359 if ( $status )
360 $statusID = $status->id();
361
362 if ( $pri )
363 $priorityID = $pri->id();
364
365 if ( $bug->isClosed() == true )
366 {
367 $t->set_var( "is_closed", "checked" );
368 }
369 else
370 {
371 $t->set_var( "isclosed", "" );
372 }
373
374 if ( $bug->isPrivate() == true )
375 {
376 $t->set_var( "is_private", "checked" );
377 }
378 else
379 {
380 $t->set_var( "is_private", "" );
381 }
382
383
384 // get the files
385 $files = $bug->files();
386
387 if ( count( $files ) > 0 )
388 {
389 $t->parse( "file_headers", "file_headers_tpl" );
390 $i = 0;
391 foreach ( $files as $file )
392 {
393 if ( ( $i % 2 ) == 0 )
394 {
395 $t->set_var( "td_class", "bglight" );
396 }
397 else
398 {
399 $t->set_var( "td_class", "bgdark" );
400 }
401
402 $t->set_var( "file_number", $i + 1 );
403 $t->set_var( "file_id", $file->id() );
404
405 $t->set_var( "file_name", "<a href=\"".$GlobalSiteIni->WWWDir.$GlobalSiteIni->Index."/filemanager/download/" . $file->id() . "/" . $file->originalFileName() . "\">" . $file->name() . "</a>" );
406
407 $t->parse( "file", "file_tpl", true );
408
409 $i++;
410 }
411 }
412 else
413 {
414 $t->set_var( "file_headers", "" );
415 $t->set_var( "file", "" );
416 }
417
418 // get the images
419 $images = $bug->images();
420 if ( count( $images ) > 0 )
421 {
422 $t->parse( "image_headers", "image_headers_tpl" );
423 $i = 0;
424 foreach ( $images as $image )
425 {
426 if ( ( $i % 2 ) == 0 )
427 {
428 $t->set_var( "td_class", "bglight" );
429 }
430 else
431 {
432 $t->set_var( "td_class", "bgdark" );
433 }
434 $t->set_var( "image_number", $i + 1 );
435 $t->set_var( "image_id", $image->id() );
436 $caption = $image->caption();
437 if ( $caption == "" )
438 $caption = "-";
439
440 $t->set_var( "image_name", "<a href=\"".$GlobalSiteIni->WWWDir.$GlobalSiteIni->Index."/imagecatalogue/imageview/" . $image->id()
441 . "?RefererURL=/bug/edit/edit/$BugID" ."\">" . $caption . "</a>" );
442 $t->parse( "image", "image_tpl", true );
443
444 $i++;
445
446 }
447 }
448 else
449 {
450 $t->set_var( "image_headers", "" );
451 $t->set_var( "image", "" );
452 }
453
454 if ( count( $logList ) == 0 )
455 {
456 $t->set_var( "log_item", "" );
457 }
458 else
459 {
460 foreach ( $logList as $log )
461 {
462 $date =& $log->created();
463 $t->set_var( "log_date", $locale->format( $date ) );
464 $t->set_var( "log_description", $log->description() );
465 $t->parse( "log_item", "log_item_tpl", true );
466 }
467 }
468 }
469
470 $category = new eZBugCategory();
471 $module = new eZBugModule();
472 $priority = new eZBugPriority();
473 $status = new eZBugStatus();
474
475
476 // list the categories
477 $categories = $category->getAll();
478 foreach ( $categories as $category )
479 {
480 if ( $category->id() == $categoryID )
481 {
482 $t->set_var( "selected", "selected" );
483 }
484 else
485 {
486 $t->set_var( "selected", "" );
487 }
488
489 $t->set_var( "category_id", $category->id() );
490 $t->set_var( "category_name", $category->name() );
491
492 $t->parse( "category_item", "category_item_tpl", true );
493 }
494
495 // list the modules
496 $modules = $module->getAll();
497 foreach ( $modules as $module )
498 {
499 if ( $module->id() == $moduleID )
500 {
501 $t->set_var( "selected", "selected" );
502 }
503 else
504 {
505 $t->set_var( "selected", "" );
506 }
507
508 $t->set_var( "module_id", $module->id() );
509 $t->set_var( "module_name", $module->name() );
510
511 $t->parse( "module_item", "module_item_tpl", true );
512 }
513
514 // list the priorities
515 $priorities = $priority->getAll();
516 foreach ( $priorities as $priority )
517 {
518 if ( isset( $priorityID ) && $priority->id() == $priorityID )
519 {
520 $t->set_var( "selected", "selected" );
521 }
522 else
523 {
524 $t->set_var( "selected", "" );
525 }
526
527 $t->set_var( "priority_id", $priority->id() );
528 $t->set_var( "priority_name", $priority->name() );
529
530 $t->parse( "priority_item", "priority_item_tpl", true );
531 }
532
533 // list the statuses
534 $statuses = $status->getAll();
535 foreach ( $statuses as $status )
536 {
537 if ( isset( $statusID ) && $status->id() == $statusID )
538 {
539 $t->set_var( "selected", "selected" );
540 }
541 else
542 {
543 $t->set_var( "selected", "" );
544 }
545
546 $t->set_var( "status_id", $status->id() );
547 $t->set_var( "status_name", $status->name() );
548
549 $t->parse( "status_item", "status_item_tpl", true );
550 }
551
552
553 $ownerGroup = eZObjectPermission::getGroups( $moduleID, "bug_module", 'w', false );
554
555 $owner = $bug->owner();
556 $currentOwner = -1;
557 if ( count( $ownerGroup ) > 0 )
558 {
559 $users = array();
560 foreach ( $ownerGroup as $group )
561 {
562 $users = array_merge( $users, eZUserGroup::users( $ownerGroup ) );
563 }
564
565 if ( count( $users ) > 0 )
566 {
567 foreach ( $users as $userItem )
568 {
569 $t->set_var( "owner_id", $userItem->id() );
570 $t->set_var( "owner_login", $userItem->login() );
571 if ( is_a( $owner, "eZUser" ) && $userItem->id() == $owner->id() )
572 {
573 $t->set_var( "selected", "selected" );
574 $currentOwner = $owner->id();
575 }
576 else
577 {
578 $t->set_var( "selected", "" );
579 }
580 $t->parse( "owner_item", "owner_item_tpl", true );
581 }
582 }
583 else
584 $t->set_var( "owner_item", "" );
585 }
586 else
587 {
588 $t->set_var( "owner_item", "" );
589 }
590
591 $t->set_var( "current_owner_id", $currentOwner );
592 $t->pparse( "output", "bug_edit_tpl" );
593
599 function sendAssignedMail( $bug, $userEmail, $ini, $Language )
600 {
601 $module = $bug->module();
602 $user = $bug->user();
603 if ( is_object( $user ) )
604 $reporter = $user->namedEmail();
605 else
606 $reporter = $bug->userEmail();
607
608 $mail = new eZMail();
609 $from = $ini->variable( "eZBugMain", "MailReplyToAddress" );
610 $mail->setFrom( $from );
611
612 $mailTemplate = new eZTemplate( "kernel/ezbug/admin/" . $ini->variable( "eZBugMain", "AdminTemplateDir" ),
613 "kernel/ezbug/admin/intl", $Language, "mailgotbug.php" );
614 $headerInfo = getallheaders();
615
616 $mailTemplate->set_file( "mailgotbug", "mailgotbug.tpl" );
617 $mailTemplate->setAllStrings();
618
619 $Language = $ini->variable( "eZBugMain", "Language" );
620 $host = preg_replace( "/^admin\./", "", $headerInfo["Host"] );
621
622 $mailTemplate->set_var( "bug_url", "http://" . $host . $GlobalSiteIni->WWWDir . $GlobalSiteIni->Index . "/bug/bugview/" . $bug->id() );
623 $mailTemplate->set_var( "bug_id", $bug->id() );
624 $mailTemplate->set_var( "bug_title", $bug->name( false ) );
625 $mailTemplate->set_var( "bug_module", $module->name( false ) );
626 $mailTemplate->set_var( "bug_reporter", $reporter );
627 $mailTemplate->set_var( "bug_description", $bug->description( false ) );
628
629 $languageIni = new eZINI( "kernel/ezbug/admin/" . "intl/" . $Language . "/mailgotbug.php.ini", false );
630 $msg = $languageIni->variable( "strings", "assigned_to_you" );
631
632 $mail->setSubject( "[". $msg ."][" . $bug->id() ."] " . $bug->name( false ) );
633
634 $bodyText = ( $mailTemplate->parse( "dummy", "mailgotbug" ) );
635 $mail->setBody( $bodyText );
636
637 $mail->setTo( $userEmail );
638 $mail->send();
639 }
640
641 ?>
$locale
$locale
Definition: admin/adlist.php:127
$i
$i
Definition: admin/adlist.php:91
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
$group
$group
Definition: admin/articleedit.php:799
$Description
$Description
Definition: articlelistrss.php:38
$headerInfo
$headerInfo
Definition: articlelistrss.php:45
$files
$files
Definition: articlepreview.php:91
$images
$images
Definition: articlepreview.php:146
sendAssignedMail
sendAssignedMail( $bug, $userEmail, $ini, $Language)
Definition: bugedit.php:599
$category
if(isset( $InsertFile)) if(isset( $InsertImage)) if(isset( $DeleteSelected)) if( $Action=="Edit") $category
Definition: bugedit.php:470
$priority
$priority
Definition: bugedit.php:472
$priorities
foreach( $modules as $module) $priorities
Definition: bugedit.php:515
$status
$status
Definition: bugedit.php:473
$Language
$Language
Definition: bugedit.php:40
$ini
$ini
Definition: bugedit.php:38
$t
if(isset( $Cancel)) $t
Definition: bugedit.php:67
$owner
$owner
Definition: bugedit.php:555
$session
$session
Definition: bugedit.php:49
$module
$module
Definition: bugedit.php:471
$modules
foreach( $categories as $category) $modules
Definition: bugedit.php:496
$ownerGroup
foreach( $statuses as $status) $ownerGroup
Definition: bugedit.php:553
$statuses
foreach( $priorities as $priority) $statuses
Definition: bugedit.php:534
$currentOwner
$currentOwner
Definition: bugedit.php:556
$categories
$categories
Definition: bugedit.php:477
$date
$date
Definition: bugpreview.php:66
$bug
$bug
Definition: bugpreview.php:59
$logList
$logList
Definition: bugpreview.php:124
$pri
$pri
Definition: bugpreview.php:70
eZBugCategory
Definition: ezbugcategory.php:55
eZBugLog
Definition: ezbuglog.php:42
eZBugLog\getByBug
static getByBug( $bug)
Definition: ezbuglog.php:163
eZBugModule
Definition: ezbugmodule.php:56
eZBugPriority
Definition: ezbugpriority.php:54
eZBugStatus
Definition: ezbugstatus.php:54
eZBug
Definition: ezbug.php:80
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZINI
Reads and writes .ini style configuration files.
eZImage
Definition: ezimage.php:95
eZLocale
Definition: ezlocale.php:119
eZMail
Definition: ezmail.php:57
eZObjectPermission\getGroups
static getGroups( $objectID, $moduleTable, $permission, $GroupReturn=true)
Definition: ezobjectpermission.php:365
eZSession
Definition: lib/ezsession/classes/ezsession.php:65
eZTemplate
Definition: eztemplate.php:107
eZTextTool\nl2br
static nl2br( $string, $xhtml=true)
Definition: eztexttool.php:65
eZUserGroup\users
static users( $GroupID=false, $order="Login", $search=false)
Definition: ezusergroup.php:291
eZUser
Definition: ezuser.php:76
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
eZVirtualFile
Definition: ezvirtualfile.php:42
$Action
$Action
Definition: companysearch.php:80
$msg
$msg
Definition: editmessage.php:47
$GlobalSiteIni
$GlobalSiteIni
Definition: ezarticle/xmlrpc/xmlrpcserver.php:33
$mail
$mail
Definition: ezbulkmail/admin/maillist.php:61
$file
$file
Definition: ezfilemanager/user/filedownload.php:35
$cat
if(isset( $DeleteCategories)) $cat
Definition: ezforum/admin/categoryedit.php:49
$users
$users
Definition: ezmessage/admin/messageedit.php:138
exit
exit
Definition: folder.php:81
$GlobalSiteDesign
global $GlobalSiteDesign
Definition: latestmessages.php:52
$languageIni
$languageIni
Definition: pendinglist.php:43
$Name
$Name
Definition: polledit.php:250
$IsClosed
$IsClosed
Definition: polledit.php:253
$categoryID
else $categoryID
Definition: productview.php:66
$StatusID
$StatusID
Definition: todoedit.php:125
$PriorityID
$PriorityID
Definition: todoedit.php:121
$OwnerID
if(( $userCheck) &&( $Action=="update")||( $Action=="updateStatus")) if(isset( $Action) && $Action=="insert"||isset( $Action) && $Action=="update") if( $error) if(isset( $Action) && $Action=="insert" && $error==false) if(isset( $Action) && $Action=="update" && $error==false) if(isset( $Action) && $Action=="delete") if(isset( $Action) && $Action=="new") if( $error) $OwnerID
Definition: todoedit.php:438
$user
$user
Definition: user/adlist.php:39
$image
$image
Definition: user/articlelist.php:242
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.